Subject: RE: [Simple] Review of draft-ietf-simple-message-sessions-08 -Chunking

From: "Orit Levin" <[email-masked]>
Date: Tue, 28 Sep 2004 17:09:30 -0700

Sorry for jumping in late.
This exact topic was among the issues that I sent to the MSRP authors
two weeks ago.

I completely agree with Paul's summary below and that the statement in
Section 6.3.1 saying "it is possible the body is shorter than the
range-end field indicates. This can occur if the sender interrupted a
SEND request unexpectedly" must go away.

BTW Just to ensure that my understanding is correct. In Paul's summary
below the "sender" can be an MSRP relay, is it correct?
An MSRP relay MAY convert a uninterruptible chunk into a interruptible
chunk, but the opposite is not true.

Can we confirm that we have an agreement on the whole issue?

Thanks a lot,
Orit.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Monday, September 27, 2004 8:41 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Simple] Review of 
> draft-ietf-simple-message-sessions-08 -Chunking
> 
> 
> 
> [email-masked] wrote:
> > 
> >>>>Section 6.3.1 says: "it is possible the body is shorter than the 
> >>>>range-end field indicates. This can occur if the sender
> >>>
> >>interrupted a
> >>
> >>>>SEND request unexpectedly." Based on what I have 
> interpretted above, 
> >>>>this is no longer possible. (To be interrupted it must have had a 
> >>>>range-end of "*".)
> >>>
> >>>
> >>>I think it is still possible, but it means that it was an
> >>
> >>abnormal behaviour. Perhaps we should include some text 
> discussing a 
> >>recovery mechanism for this case.
> >>
> >>It is abnormal in the sense that it can only arise if there is a 
> >>violation of the specification. Normally we don't specify 
> corrective 
> >>action in those cases.
> > 
> > 
> > No, I meant device or user behaviour that causes the 
> sending to be immediately aborted. Nothing to do with 
> protocol violation. (eg: abnorla termination of the application).
> 
> As best I can tell, we are saying that you must decide, when 
> beginning to send, whether to use an interruptible chunk, or 
> an uninterruptible chunk. If you use an uninterruptible chunk 
> you specify the range-end as a number and include that many 
> bytes of body. If you choose an interruptible chunk, you use 
> "*" for range-end and then you put as much body as you like.
> 
> An application that chooses to use an uninterruptible chunk, 
> and then fails to include the full number of bytes for it has 
> violated the protocol.
> 
> Effectively, an application should only use an 
> uninterruptible chunk if it already has all the bytes in hand 
> and ready to send.
> 
> 	Paul
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple